Subject: Re: [RFC PATCH net-next v3 07/21] ethtool: implement EVENT notifications

From: Andrew Lunn <[email-masked]>
Date: Tue, 19 Feb 2019 00:46:08 +0100

On Mon, Feb 18, 2019 at 07:21:59PM +0100, Michal Kubecek wrote:
> Three types of netlink notifications are introduced:
> 
>   - ETHA_EVENT_NEWDEV to notify about newly registered network devices
>   - ETHA_EVENT_DELDEV to notify about unregistered network devices
>   - ETHA_EVENT_RENAMEDEV to notify about renamed network device
> 
> The notifications are triggered by NETDEV_REGISTER, NETDEV_UNREGISTER and
> NETDEV_CHANGENAME notifiers.
> 
> These notifications are intended for applications and daemons monitoring
> ethtool events to allow updating the list of existing devices without
> having to open another socket for rtnetlink.

Hi Michal

Does ETHA_EVENT_RENAMEDEV actually contain enough information to avoid
needing a rtnetlink lookup? If i understand the code correctly, all
you have is the new name. You don't know the old name?

Having said that, i don't see an easy way to get access to the old
name when handling the NETDEV_CHANGENAME.

     Andrew